# Pug js Boilerplate
This is a simple boilerplate for is a professional front-end template for building sites or web apps using [Gulp 4](https://gulpjs.com/) with [Pug](https://pugjs.org/) and [SASS](https://sass-lang.com/).

# Why?
Time to time you need to build a triditional multiple page website. But you still need toolkit such as Gulp, sass. So I build this boilerplate that helps to kick off a new project for anyone 🎉

# Features
1. [Gulp 4](https://gulpjs.com/): Is a JavaScript task runner.
2. [Sass](https://sass-lang.com/) :  Is a style sheet language.
3. [Jquery](https://git-scm.com/) : JavaScript Library.
4. [Font Awesome](https://fontawesome.com/) : The world's most popular and easiest to use icon.
5. [Mapbox.gl](https://www.mapbox.com/) : An open source mapping platform.
6. [Pug js](https://pugjs.org/) : HTML template engine.
7. [Bootstrap v 3.3.7](https://getbootstrap.com/) : Open source toolkit for developing with HTML, CSS, and JS. 
8. [Livereload](http://livereload.com/) : A happy land where browsers don't need a Refresh button.

# Quick start
1. Clone this repo
git clone https://github.com/Med3li/INITpug

2. cd into directory `INITpug`

3. run `npm install` to install all dependencies

4. Run `gulp watch` or `gulp` to compile and monitor your JS and SCSS

5. Run `gulp dist` to compile an end product for distribution

6. Run `gulp dev-dist` to compile development project for distribution
# Developing Locally
 run `npm start` for starting gulp and open the browser at http://localhost:7200 to see the example app .

 If a problem occurs and gulp is not working, run `gulp` or `gulp watch` and start your project.

This starts server on `localhost:7200` and gulp will watch for changes and automatically reload the browser.
# Browser Support
- Chrome (latest 2)
- Edge (latest 2)
- Firefox (latest 2)
- Internet Explorer 11
- Opera (latest 2)
- Safari (latest 2)

This doesn't mean that Pug js Boilerplate cannot be used in older browsers, just that we'll ensure compatibility with the ones mentioned above.
